INTERFACE CV_Server_T_v2;

IMPORT Rd, Thread, Wr, CV_Server, StubLib, NetObj;
TYPE Surrogate_CV_Server_T = CV_Server.T OBJECT
      OVERRIDES
        checkClockSyncNow := Surrogate_checkClockSyncNow;
      END;

PROCEDURE Surrogate_checkClockSyncNow(self: CV_Server.T)
    : CV_Server.ClockSyncReport RAISES {CV_Server.Error, NetObj.Error,
    Thread.Alerted};

PROCEDURE Stub_checkClockSyncNow(
    self: CV_Server.T;
    c: StubLib.Conn;
    rep: StubLib.DataRep) RAISES {NetObj.Error, Rd.Failure, Wr.Failure,
    Thread.Alerted, CV_Server.Error};

END CV_Server_T_v2.
