INTERFACE CV_Server;

IMPORT
   AtomList,
   Date,
   NetObj,
   Thread;

EXCEPTION
   Error(AtomList.T);

TYPE
   T = NetObj.T OBJECT
   METHODS
      checkClockSyncNow (): ClockSyncReport
         RAISES {Error, NetObj.Error, Thread.Alerted};
   END; (* Public *)

TYPE
   ClockSyncReport = RECORD
           serverDate: Date.T;
            MATT_Date: Date.T;
            deltaSecs: INTEGER;
      timeZonesDiffer: BOOLEAN;
   END; (* ClockSyncReport *)

END CV_Server.

